Search Results for

Show / Hide Table of Contents

# Class PathAnnotation.LineF

Describes two points in graph space and a line between them

##### Inheritance

System.Object
PathAnnotation.LineF

###### Namespace: Terminal.Gui.Graphs

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class LineF : Object

### Constructors

#### LineF(PointF, PointF)

Creates a new line between the points

##### Declaration

    public LineF(PointF start, PointF end)

##### Parameters

Type | Name | Description
--- | --- | ---
PointF | start |
PointF | end |

### Properties

#### End

The end point of the line

##### Declaration

    public PointF End { get; }

##### Property Value

Type | Description
--- | ---
PointF |

#### Start

The start of the line

##### Declaration

    public PointF Start { get; }

##### Property Value

Type | Description
--- | ---
PointF |